Home
Docs
GitHub
Pricing
Blog
Log In

Run Sandworm Audit for your App

Get started
Hold on, we're currently generating a fresh version of this report
Generated on Jan 16, 2024 via pnpm

node-yaml 4.0.0

A wrapper for js-yaml parser
Package summary
Share
1
issue
1
high severity
meta
1
7
licenses
192
MIT
17
ISC
9
BSD-2-Clause
9
other licenses
Apache-2.0
4
BSD-3-Clause
3
(WTFPL OR MIT)
1
0BSD
1
Package created
29 Nov 2015
Version published
23 Jun 2019
Maintainers
1
Total deps
227
Direct deps
4
License
MIT

Issues

1

1 high severity issue

high
via: promise-fs@2.1.0
Collapse
Expand

Licenses

MIT License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
sublicense
private-use
Cannot
hold-liable
Must
include-copyright
include-license
192 Packages, Including:
@babel/code-frame@7.23.5
@babel/generator@7.23.6
@babel/helper-environment-visitor@7.22.20
@babel/helper-function-name@7.23.0
@babel/helper-hoist-variables@7.22.5
@babel/helper-split-export-declaration@7.22.6
@babel/helper-string-parser@7.23.4
@babel/helper-validator-identifier@7.22.20
@babel/highlight@7.23.4
@babel/parser@7.23.6
@babel/template@7.22.15
@babel/traverse@7.23.7
@babel/types@7.23.6
@jridgewell/gen-mapping@0.3.3
@jridgewell/resolve-uri@3.1.1
@jridgewell/set-array@1.1.2
@jridgewell/sourcemap-codec@1.4.15
@jridgewell/trace-mapping@0.3.21
@octetstream/eslint-config@3.0.0
@octetstream/promisify@2.0.2
@types/json5@0.0.29
acorn-jsx@5.3.2
acorn@6.4.2
ajv@6.12.6
ansi-escapes@3.2.0
ansi-regex@3.0.1
ansi-regex@4.1.1
ansi-styles@3.2.1
argparse@1.0.10
array-buffer-byte-length@1.0.0
array-includes@3.1.7
array.prototype.findlastindex@1.2.3
array.prototype.flat@1.3.2
array.prototype.flatmap@1.3.2
arraybuffer.prototype.slice@1.0.2
astral-regex@1.0.0
available-typed-arrays@1.0.5
babel-eslint@9.0.0
balanced-match@1.0.2
brace-expansion@1.1.11
call-bind@1.0.5
callsites@3.1.0
chalk@2.4.2
chardet@0.7.0
cli-cursor@2.1.0
co@4.6.0
color-convert@1.9.3
color-name@1.1.3
concat-map@0.0.1
confusing-browser-globals@1.0.11

ISC License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
Cannot
hold-liable
Must
include-copyright
include-license
17 Packages, Including:
cli-width@2.2.1
eslint-plugin-promise@4.3.1
flatted@2.0.2
fs.realpath@1.0.0
glob@7.2.3
inflight@1.0.6
inherits@2.0.4
isexe@2.0.0
minimatch@3.1.2
mute-stream@0.0.7
once@1.4.0
rimraf@2.6.3
semver@5.7.2
semver@6.3.1
signal-exit@3.0.7
which@1.3.1
wrappy@1.0.2

BSD 2-Clause "Simplified" License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
place-warranty
Cannot
hold-liable
Must
include-copyright
include-license
9 Packages, Including:
eslint-scope@3.7.1
eslint-scope@4.0.3
espree@5.0.1
esprima@4.0.1
esrecurse@4.3.0
estraverse@4.3.0
estraverse@5.3.0
esutils@2.0.3
uri-js@4.4.1

Apache License 2.0

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
sublicense
private-use
use-patent-claims
place-warranty
Cannot
hold-liable
use-trademark
Must
include-copyright
include-license
state-changes
include-notice
4 Packages, Including:
doctrine@2.1.0
doctrine@3.0.0
eslint-visitor-keys@1.3.0
rxjs@6.6.7

BSD 3-Clause "New" or "Revised" License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
place-warranty
Cannot
use-trademark
hold-liable
Must
include-copyright
include-license
3 Packages, Including:
esquery@1.5.0
sprintf-js@1.0.3
table@5.4.6

(WTFPL OR MIT)

Permissive
1 Packages, Including:
path-is-inside@1.0.2

BSD Zero Clause License

Permissive
OSI Approved
This is a human-readable summary of (and not a substitute for) the license. Disclaimer.
Can
commercial-use
modify
distribute
sublicense
private-use
include-copyright
include-license
include-original
Cannot
hold-liable
Must
1 Packages, Including:
tslib@1.14.1
Disclaimer

This deed highlights only some of the key features and terms of the actual license. It is not a license and has no legal value. You should carefully review all of the terms and conditions of the actual license before using the licensed material.

Sandworm is not a law firm and does not provide legal services. Distributing, displaying, or linking to this deed or the license that it summarizes does not create a lawyer-client or any other relationship.

Direct Dependencies

4
All Dependencies CSV
β“˜ This is a list of node-yaml 's direct dependencies. Data on all dependencies, including transitive ones, is available via CSV download.
NameVersionSizeLicenseTypeVulnerabilities
co4.6.05.74 kBMIT
prod
js-yaml3.14.175.07 kBMIT
prod peer
junk3.1.02.28 kBMIT
prod
promise-fs2.1.01.6 kBMIT
prod
1

Visualizations